=== debian/changelog ===
ros-galactic-rosbag2-performance-benchmarking (0.9.2-1focal) focal; urgency=high

  * [backport galactic] Fix build of benchmarking package (#881 <https://github.com/ros2/rosbag2/issues/881>, #882 <https://github.com/ros2/rosbag2/issues/882>) (#883 <https://github.com/ros2/rosbag2/issues/883>)
  * Contributors: Adam Dąbrowski

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 26 Sep 2022 07:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.9.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 08 Jul 2021 07:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.9.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 17 May 2021 07:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.8.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.7.0-1focal) focal; urgency=high

  * fixed a memory leak in no-transport benchmark (#674 <https://github.com/ros2/rosbag2/issues/674>)
  * report of performance improvements in rosbag2 (roughly since Foxy) (#651 <https://github.com/ros2/rosbag2/issues/651>)
  * Performance benchmarking improvements (#634 <https://github.com/ros2/rosbag2/issues/634>)
  * Contributors: Adam Dąbrowski, Piotr Jaroszek

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.6.0-1focal) focal; urgency=high

  * Performance benchmarking refactor (#594 <https://github.com/ros2/rosbag2/issues/594>)
  * Contributors: Adam Dąbrowski

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Feb 2021 08:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.5.0-1focal) focal; urgency=high

  * Sqlite storage double buffering (#546 <https://github.com/ros2/rosbag2/issues/546>)
  * Contributors: Adam Dąbrowski

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 02 Dec 2020 08:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.4.0-1focal) focal; urgency=high

  * read yaml config file (#497 <https://github.com/ros2/rosbag2/issues/497>)
  * add storage_config_uri (#493 <https://github.com/ros2/rosbag2/issues/493>)
  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * performance testing packages (#442 <https://github.com/ros2/rosbag2/issues/442>)
  * Contributors: Adam Dąbrowski, Karsten Knese, Michael Jeronimo

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 19 Nov 2020 08:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.3.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.3.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.3.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.2.8-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 May 2020 07:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.2.7-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 12 May 2020 07:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.2.6-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 07 May 2020 07:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.2.5-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.2.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 19 Nov 2019 01:51:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.2.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 Nov 2019 21:55:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.2.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.2.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.2.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.1.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.1.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 09 May 2019 07:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.1.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.0.5-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 27 Dec 2018 08:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.0.4-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 19 Dec 2018 08:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.0.3-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Fri, 14 Dec 2018 08:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.0.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 12 Dec 2018 08:00:00 -0000

ros-galactic-rosbag2-performance-benchmarking (0.0.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 11 Dec 2018 08:00:00 -0000
