=== debian/control ===
Source: ros-galactic-rosbag2-performance-benchmarking
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-rclcpp, ros-galactic-rmw, ros-galactic-rosbag2-compression, ros-galactic-rosbag2-cpp, ros-galactic-rosbag2-storage, ros-galactic-std-msgs, ros-galactic-yaml-cpp-vendor, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rosbag2-performance-benchmarking
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-rclcpp, ros-galactic-rmw, ros-galactic-rosbag2-compression, ros-galactic-rosbag2-cpp, ros-galactic-rosbag2-storage, ros-galactic-std-msgs, ros-galactic-yaml-cpp-vendor, ros-galactic-ros-workspace
Description: Code to benchmark rosbag2
